Multi
curl --request GET \
--url https://api.themoviedb.org/3/search/multiimport requests
url = "https://api.themoviedb.org/3/search/multi"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/search/multi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/oHPoF0Gzu8xwK4CtdXDaWdcuZxZ.jpg",
"genre_ids": [
12,
10751,
16
],
"id": 762509,
"media_type": "movie",
"original_language": "en",
"original_title": "Mufasa: The Lion King",
"overview": "Mufasa, a cub lost and alone, meets a sympathetic lion named Taka, the heir to a royal bloodline. The chance meeting sets in motion an expansive journey of a group of misfits searching for their destiny.",
"popularity": 2684.622,
"poster_path": "/iBqXjFkAozQ1z2sfAiWwBimbiJX.jpg",
"release_date": "2024-12-18",
"title": "Mufasa: The Lion King",
"video": false,
"vote_average": 7.5,
"vote_count": 546
}
],
"total_pages": 1,
"total_results": 1
}Search
Multi
Use multi search when you want to search for movies, TV shows and people in a single request.
GET
/
3
/
search
/
multi
Multi
Query Parameters
Example:
"%22Mufasa%3A%20The%20Lion%20King%22"
Example:
"false"
Example:
"en-US"
Example:
"1"
Response
200 - application/json
Multi
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/oHPoF0Gzu8xwK4CtdXDaWdcuZxZ.jpg",
"genre_ids": [12, 10751, 16],
"id": 762509,
"media_type": "movie",
"original_language": "en",
"original_title": "Mufasa: The Lion King",
"overview": "Mufasa, a cub lost and alone, meets a sympathetic lion named Taka, the heir to a royal bloodline. The chance meeting sets in motion an expansive journey of a group of misfits searching for their destiny.",
"popularity": 2684.622,
"poster_path": "/iBqXjFkAozQ1z2sfAiWwBimbiJX.jpg",
"release_date": "2024-12-18",
"title": "Mufasa: The Lion King",
"video": false,
"vote_average": 7.5,
"vote_count": 546
}
]
Example:
1
Example:
1